Open CASCADE Technology: RWStepFEA_RWParametricCurve3dElementCoordinateDirection Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
RWStepFEA_RWParametricCurve3dElementCoordinateDirection Class Reference

Read & Write tool for ParametricCurve3dElementCoordinateDirection. More...

`#include <RWStepFEA_RWParametricCurve3dElementCoordinateDirection.hxx>`

## Public Member Functions
| RWStepFEA_RWParametricCurve3dElementCoordinateDirection ()
| Empty constructor. More...
void | ReadStep (const Handle< StepData_StepReaderData > &data, const Standard_Integer num, Handle< Interface_Check > &ach, const Handle< StepFEA_ParametricCurve3dElementCoordinateDirection > &ent) const
| Reads ParametricCurve3dElementCoordinateDirection. More...
void | WriteStep (StepData_StepWriter &SW, const Handle< StepFEA_ParametricCurve3dElementCoordinateDirection > &ent) const
| Writes ParametricCurve3dElementCoordinateDirection. More...
void | Share (const Handle< StepFEA_ParametricCurve3dElementCoordinateDirection > &ent, Interface_EntityIterator &iter) const
| Fills data for graph (shared items) More...

## Detailed Description

Read & Write tool for ParametricCurve3dElementCoordinateDirection.

## Constructor & Destructor Documentation

RWStepFEA_RWParametricCurve3dElementCoordinateDirection::RWStepFEA_RWParametricCurve3dElementCoordinateDirection | ( |  | ) |

Empty constructor.

## Member Function Documentation

void RWStepFEA_RWParametricCurve3dElementCoordinateDirection::ReadStep | ( | const Handle< StepData_StepReaderData > & | data,
|  | const Standard_Integer | num,
|  | Handle< Interface_Check > & | ach,
|  | const Handle< StepFEA_ParametricCurve3dElementCoordinateDirection > & | ent
| ) |  | const

Reads ParametricCurve3dElementCoordinateDirection.

void RWStepFEA_RWParametricCurve3dElementCoordinateDirection::Share | ( | const Handle< StepFEA_ParametricCurve3dElementCoordinateDirection > & | ent,
|  | Interface_EntityIterator & | iter
| ) |  | const

Fills data for graph (shared items)

void RWStepFEA_RWParametricCurve3dElementCoordinateDirection::WriteStep | ( | StepData_StepWriter & | SW,
|  | const Handle< StepFEA_ParametricCurve3dElementCoordinateDirection > & | ent
| ) |  | const

Writes ParametricCurve3dElementCoordinateDirection.

The documentation for this class was generated from the following file:

- RWStepFEA_RWParametricCurve3dElementCoordinateDirection.hxx